-- 基础信息
base_info = {
	group_id = 246201002
}

-- Trigger变量
defs = {
	center_point = 2008,
	air_wall = 2009,
	bridge = 2015,
	rogue_exit = 2017
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	-- 平台B空气墙
	{ config_id = 2009, gadget_id = 70800170, pos = { x = 59.940, y = 56.559, z = 127.820 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, state = GadgetState.ChestOpened },
	{ config_id = 2015, gadget_id = 70800168, pos = { x = 33.910, y = 51.930, z = 127.362 }, rot = { x = 1.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 2017, gadget_id = 70800208, pos = { x = 59.940, y = 59.950, z = 139.730 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 2001, pos = { x = 61.228, y = 55.932, z = 128.968 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 2002, pos = { x = 58.425, y = 56.567, z = 130.869 }, rot = { x = 0.000, y = 135.100, z = 0.000 }, tag = 2 },
	{ config_id = 2003, pos = { x = 64.295, y = 56.522, z = 131.064 }, rot = { x = 0.000, y = 217.000, z = 0.000 }, tag = 2 },
	{ config_id = 2004, pos = { x = 66.677, y = 56.616, z = 126.460 }, rot = { x = 0.000, y = 311.639, z = 0.000 }, tag = 2 },
	{ config_id = 2005, pos = { x = 56.599, y = 56.600, z = 126.610 }, rot = { x = 0.000, y = 26.310, z = 0.000 }, tag = 2 },
	{ config_id = 2006, pos = { x = 60.752, y = 56.489, z = 133.440 }, rot = { x = 0.000, y = 182.831, z = 0.000 }, tag = 2 },
	{ config_id = 2007, pos = { x = 55.051, y = 55.918, z = 129.538 }, rot = { x = 0.000, y = 116.386, z = 0.000 }, tag = 2 },
	{ config_id = 2008, pos = { x = 61.346, y = 56.614, z = 126.511 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2010, pos = { x = 68.075, y = 56.597, z = 129.707 }, rot = { x = 0.000, y = 225.200, z = 0.000 }, tag = 2 },
	{ config_id = 2011, pos = { x = 59.992, y = 56.652, z = 122.179 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 2012, pos = { x = 63.695, y = 56.588, z = 122.204 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 2013, pos = { x = 56.435, y = 56.557, z = 123.367 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 2014, pos = { x = 66.668, y = 56.544, z = 123.443 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	-- 传送点
	{ config_id = 2016, pos = { x = 61.290, y = 56.614, z = 125.507 }, rot = { x = 0.000, y = 0.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 2009, 2015 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_7/Rogue_Cell"
require "V2_7/Rogue_Terrain_1"
